%global _empty_manifest_terminate_build 0
Name:           python-bcrypt
Version:        4.1.3
Release:        1
Summary:        Modern password hashing for your software and your servers
License:        Apache-2.0
URL:            https://github.com/pyca/bcrypt/
Source0:        %{pypi_source bcrypt}
%description
Good password hashing for your software and your servers.
This library should be compatible with py-bcrypt and it will run on Python 2.7, 3.4+, and PyPy 2.6+.

%package -n python3-bcrypt
Summary:        Modern password hashing for your software and your servers
Provides:       python-bcrypt

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools-rust
BuildRequires:  rust cargo
BuildRequires:  python3-cffi
BuildRequires:  gcc
BuildRequires:  python3-six
BuildRequires:  python3-pytest
%description -n python3-bcrypt
Good password hashing for your software and your servers.
This library should be compatible with py-bcrypt and it will run on Python 2.7, 3.4+, and PyPy 2.6+.

%package help
Summary:        Modern password hashing for your software and your servers
Provides:       python3-bcrypt-doc
%description help
Good password hashing for your software and your servers.
This library should be compatible with py-bcrypt and it will run on Python 2.7, 3.4+, and PyPy 2.6+.

%prep
%autosetup -n bcrypt-%{version} -p1

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
export PYTHONPATH=%{buildroot}%{python3_sitearch}
pytest

%files -n python3-bcrypt -f filelist.lst
%dir %{python3_sitearch}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Sat May 11 2024 wangxiaomeng <wangxiaomeng@kylinos.cn> - 4.1.3-1
- Update to 4.1.3
  - Dropped support for Python 3.6.
  - Bumped MSRV to 1.64. (Note: Rust 1.63 can be used by setting the BCRYPT_ALLOW_RUST_163 environment variable)
  - Fixed the type signature on the kdf method.
  - Fixed incompatibility with passlib package detection assumptions.
  - Publish both py37 and py39 wheels. This should resolve some errors relating to initializing a module multiple times per process.
  - Bump Rust dependency versions

* Wed Apr 10 2024 Ge Wang <wang__ge@126.com> - 4.0.1-1
- Update to 4.0.1

* Fri Apr 28 2023 yaoxin <yao_xin001@hoperun.com> - 3.2.2-1
- Update to 3.2.2

* Mon Jun 20 2022 tanyulong <tanyulong@kylinos.cn> - 3.2.0-2
- Delete unnecessary gdb from BuildRequires

* Wed Jul 14 2021 OpenStack_SIG <openstack@openeuler.org> - 3.2.0-1
- Upgrade to version 3.2.0

* Sat Feb 27 2021 extinctfire <shenyining_00@126.com> - 3.1.4-9
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:Don't emit warning in test_kdf, there's no point whoops here

* Wed Oct 21 2020 jinzhimin<jinzhimin2@huawei.com> - 3.1.4-8
- remove python2-bcrypt subpackage

* Wed Nov 13 2019 Lijin Yang <yanglijin@huawei.com> - 3.1.4-7
- init package
